JobProperties (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.topology.context

## Interface JobProperties

-     public interface JobProperties

  Job properties specific to distributed contexts.
  The preferred mechanism is to supply a job configuration object using `CONFIG` rather than the individual values.
  See Also:
    `StreamsContext.submit(com.ibm.streamsx.topology.Topology, java.util.Map)`, `ContextProperties`, `StreamsContext.Type.DISTRIBUTED`, `StreamsContext.Type.STREAMING_ANALYTICS_SERVICE`, `StreamsContext.Type.ANALYTICS_SERVICE`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONFIG` Configuration for a submitted application.
    `static java.lang.String` | `DATA_DIRECTORY` Location of the submitted application's data directory.
    `static java.lang.String` | `GROUP` Group name for a submitted application.
    `static java.lang.String` | `NAME` Name for a submitted application.
    `static java.lang.String` | `OVERRIDE_RESOURCE_LOAD_PROTECTION` Optional override for a submitted application.
    `static java.lang.String` | `PRELOAD_APPLICATION_BUNDLES` Optionally specify whether to preload the job onto all resources in the instance.

- - ### Field Detail

    - #### CONFIG

          static final java.lang.String CONFIG

      Configuration for a submitted application. This single property ("jobConfig") contains the full submission time configuration for the application. This property overrides all other `JobProperties` such as `NAME` and `GROUP`.
      Argument is a `JobConfig` object.

      Setting a job configuration is optional.

      See Also:
        Constant Field Values

    - #### NAME

          static final java.lang.String NAME

      Name for a submitted application. Argument is a String.

      Specifying a job name is optional.

      See Also:
        Constant Field Values

    - #### GROUP

          static final java.lang.String GROUP

      Group name for a submitted application. Argument is a String.

      Specifying a job group is optional. When specified an existing Job Group must be supplied. By default a Job is added to the job group "default".

      See Also:
        Constant Field Values

    - #### OVERRIDE_RESOURCE_LOAD_PROTECTION

          static final java.lang.String OVERRIDE_RESOURCE_LOAD_PROTECTION

      Optional override for a submitted application. Argument is a Boolean.

      Specifies whether to submit the job regardless of the load settings for the target resources.

      See Also:
        Constant Field Values

    - #### PRELOAD_APPLICATION_BUNDLES

          static final java.lang.String PRELOAD_APPLICATION_BUNDLES

      Optionally specify whether to preload the job onto all resources in the instance. Valid values are true and false. Preloading the job can improve the performance if PE is relocated to a new resource.
      See Also:
        Constant Field Values

    - #### DATA_DIRECTORY

          static final java.lang.String DATA_DIRECTORY

      Location of the submitted application's data directory. The location, full pathname, must be accessible from the resources where the application is deployed.
      See Also:
        Constant Field Values